disabled_rules:
  - trailing_whitespace  # swiftformat handles this
  - todo                 # todos in comments are fine

opt_in_rules:
  - force_unwrapping
  - empty_count
  - closure_spacing
  - contains_over_first_not_nil

included:
  - BrewBar

excluded:
  - BrewBar.xcodeproj

line_length:
  warning: 140
  error: 200

file_length:
  warning: 500
  error: 800

function_body_length:
  warning: 80
  error: 120

type_body_length:
  warning: 400
  error: 600

cyclomatic_complexity:
  warning: 15
  error: 25
